<?php
// +-----------------------------------------------------------------------+
// | pwgCumulus  - a plugin for Piwigo                                     |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2009-2013 Nicolas Roudaire        http://www.nikrou.net  |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License version 2 as     |
// | published by  the Free Software Foundation                            |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
// | MA 02110-1301 USA                                                     |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH')) {
  die('Hacking attempt!');
}

$save_config = false;

if (!empty($_POST['submit'])) {
  if (!empty($_POST['pwg_cumulus_width']) && intval($_POST['pwg_cumulus_width'])!=$me->pwg_cumulus_width) {
    $me->pwg_cumulus_width = intval($_POST['pwg_cumulus_width']);
    $page['infos'][] = l10n('Width updated');
    $save_config = true;
  }
  if (!empty($_POST['pwg_cumulus_height']) && intval($_POST['pwg_cumulus_height'])!=$me->pwg_cumulus_height) {
    $me->pwg_cumulus_height = intval($_POST['pwg_cumulus_height']);
    $page['infos'][] = l10n('Height updated');
    $save_config = true;
  }
  if (!empty($_POST['pwg_cumulus_coeff']) && intval($_POST['pwg_cumulus_coeff'])!=$me->pwg_cumulus_coeff) {
    $me->pwg_cumulus_coeff = intval($_POST['pwg_cumulus_coeff']);
    $page['infos'][] = l10n('Coefficient for tags size updated');
    $save_config = true;
  }

  if (!empty($_POST['pwg_cumulus_mode_transparent']) && !$me->pwg_cumulus_mode_transparent) {
    $me->pwg_cumulus_mode_transparent = true;
    $page['infos'][] = l10n('Transparent mode is used');
    $save_config = true;
  } elseif (empty($_POST['pwg_cumulus_mode_transparent']) && $me->pwg_cumulus_mode_transparent) {
    $me->pwg_cumulus_mode_transparent = false;
    $page['infos'][] = l10n('Transparent mode is not used');
    $save_config = true;
  }
  if (!empty($_POST['pwg_cumulus_bgcolor']) && trim($_POST['pwg_cumulus_bgcolor'])!=$me->pwg_cumulus_bgcolor) {
    $me->pwg_cumulus_bgcolor = str_replace('#', '', $_POST['pwg_cumulus_bgcolor']);
    $page['infos'][] = l10n('Background color updated');
    $save_config = true;
  }
  if (!empty($_POST['pwg_cumulus_color1']) && trim($_POST['pwg_cumulus_color1'])!=$me->pwg_cumulus_color1) {
    $me->pwg_cumulus_color1 = str_replace('#', '', $_POST['pwg_cumulus_color1']);
    $page['infos'][] = l10n('Color 1 updated');
    $save_config = true;
  }
  if (!empty($_POST['pwg_cumulus_color2']) && trim($_POST['pwg_cumulus_color2'])!=$me->pwg_cumulus_color2) {
    $me->pwg_cumulus_color2 = str_replace('#', '', $_POST['pwg_cumulus_color2']);
    $page['infos'][] = l10n('Color 2 updated');
    $save_config = true;
  }
  if (!empty($_POST['pwg_cumulus_hicolor']) && trim($_POST['pwg_cumulus_hicolor'])!=$me->pwg_cumulus_hicolor) {
    $me->pwg_cumulus_hicolor = str_replace('#', '', $_POST['pwg_cumulus_hicolor']);
    $page['infos'][] = l10n('Mouseover color updated');
    $save_config = true;
  }

  if ($save_config) {
    $me->save_config();
  }
}

$template->assign('PWG_CUMULUS_WIDTH', $me->pwg_cumulus_width); 
$template->assign('PWG_CUMULUS_HEIGHT', $me->pwg_cumulus_height); 
$template->assign('PWG_CUMULUS_COEFF', $me->pwg_cumulus_coeff); 
$template->assign('PWG_CUMULUS_MODE_TRANSPARENT', $me->pwg_cumulus_mode_transparent);
$template->assign('PWG_CUMULUS_BGCOLOR', $me->pwg_cumulus_bgcolor);
$template->assign('PWG_CUMULUS_COLOR1', $me->pwg_cumulus_color1);
$template->assign('PWG_CUMULUS_COLOR2', $me->pwg_cumulus_color2);
$template->assign('PWG_CUMULUS_HICOLOR', $me->pwg_cumulus_hicolor);
